# BFR - A Modular Bulk File Renaming Utility
Inspired by [this project](https://git.lastassault.de/speatzle/BulkFileRenamer) by speatzle_.

Everyone is welcome to contribute!

## Features
- Mordern scalable UI (Avalonia)
- Extremely flexible
- Stack-based undo
- Fast and automatic preview
- Cross-Platform and portable
- Supports RegEx

### Operations
- Add, Remove, Replace, Overwrite, Number, Sort

### Planned Features
- [Case Conversion](#1)
- [Save-/Loadable Profiles](#3)
- [Operations based on file Metadata](#4)
- [Optional Subdirectory Scanning](#5)
- Anything good that gets [requested](https://git.lastassault.de/adroslice/bfr/-/issues)!

## [Releases](https://git.lastassault.de/adroslice/bfr/-/releases)
## Screenshot
![](https://i.imgur.com/qHRTmJH.png)
